
From: NeilBrown <neilb@cse.unsw.edu.au>

Fix error return in create.  (See comment in xdr for createtype4 at end of
rfc3530.)

From: Andy Adamson <andros@citi.umich.edu>
From: "J. Bruce Fields" <bfields@fieldses.org>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
---

 25-akpm/fs/nfsd/nfs4proc.c |    2 +-
 25-akpm/fs/nfsd/nfs4xdr.c  |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/nfsd/nfs4proc.c~knfsd-10-of-11-nfsd-create-fixpatch fs/nfsd/nfs4proc.c
--- 25/fs/nfsd/nfs4proc.c~knfsd-10-of-11-nfsd-create-fixpatch	2004-05-28 00:10:41.289470456 -0700
+++ 25-akpm/fs/nfsd/nfs4proc.c	2004-05-28 00:10:41.295469544 -0700
@@ -389,7 +389,7 @@ nfsd4_create(struct svc_rqst *rqstp, str
 		break;
 
 	default:
-		BUG();
+		status = nfserr_badtype;
 	}
 
 	if (!status) {
diff -puN fs/nfsd/nfs4xdr.c~knfsd-10-of-11-nfsd-create-fixpatch fs/nfsd/nfs4xdr.c
--- 25/fs/nfsd/nfs4xdr.c~knfsd-10-of-11-nfsd-create-fixpatch	2004-05-28 00:10:41.291470152 -0700
+++ 25-akpm/fs/nfsd/nfs4xdr.c	2004-05-28 00:10:41.303468328 -0700
@@ -538,9 +538,8 @@ nfsd4_decode_create(struct nfsd4_compoun
 	case NF4SOCK:
 	case NF4FIFO:
 	case NF4DIR:
-		break;
 	default:
-		goto xdr_error;
+		break;
 	}
 
 	READ_BUF(4);
_
